<?php 
require_once('../modelos/Caja.php');

$caja=new Caja();

$idcaja=isset($_POST["idcaja"])? limpiarCadena($_POST["idcaja"]):"";
$descripcion=isset($_POST["descripcion"])? limpiarCadena($_POST["descripcion"]):"";
$idusuario=isset($_POST["idusuario"])? limpiarCadena($_POST["idusuario"]):"";

switch ($_GET["op"])
{
    case 'guardaryeditar':
        if(empty($idcaja))
        {
          $rspta=$caja->insertar($descripcion,$idusuario);
          echo $rspta ? "Caja Registrado" : "Caja no se pudo registrar";
        }
        else {
            $rspta=$caja->editar($idcaja,$descripcion,$idusuario);
            echo $rspta ? "Caja Actualizada" : "Caja no se pudo actualizar";
        }
      break;
  
      case 'mostrar':
        $rspta=$caja->mostrar($idcaja);
         //Codificar el resultado utilizando json
         echo json_encode($rspta);
      break;
  
      case 'eliminar':
        $rspta=$caja->eliminar($idcaja);
         //Codificar el resultado utilizando json
         echo json_encode($rspta);
      break;
  
      case 'listarcaja':
          $rspta=$caja->listarcaja();
          //Vamos a declarar un array
          $data=Array();
          while($reg=$rspta->fetch_object())
          {
            $data[]=array(
              "0"=>$reg->idcaja,
              "1"=>$reg->descripcion,
              "2"=>$reg->usuario,          
              "3"=>'<a href="create.php?idcaja=' . $reg->idcaja . '" class="btn btn-warning btn-xs btn-flat"><i class="fa fa-edit"></i></a>' .
                  ' <button class="btn btn-danger btn-xs btn-flat" onclick="eliminar(' . $reg->idcaja . ')"><i class="fas fa-trash-alt"></i></button>'
            );
        }
          $results= array(
            "sEcho"=>1, //Informacion para el datatable
            "iTotalRecords"=>count($data),//Enviamos el total de registtros en el datatable
            "iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
            "aaData"=>$data);
          echo json_encode($results);
  
      break;

    
}